### Method

# RB RhythmDB add_uri_with_types

#### Declaration [src]

    void
    rhythmdb_add_uri_with_types (
      RhythmDB* db,
      const char* uri,
      RhythmDBEntryType* type,
      RhythmDBEntryType* ignore_type,
      RhythmDBEntryType* error_type
    )

#### Description [src]

Adds the file(s) pointed to by `uri` to the database, as entries of the specified type. If the URI points to a file, it will be added. The the URI identifies a directory, everything under it will be added recursively.

#### Parameters

`uri`

  Type: `const char*`

  The URI to add.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to use for new entries.

  The data is owned by the caller of the method.

`ignore_type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to use for ignored files.

  The data is owned by the caller of the method.

`error_type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to use for import errors.

  The data is owned by the caller of the method.